class QueueError(Exception):
    pass

class Queue:
    def __init__(self):
        self.__queue_list = []

    def put(self, val):
        self.__queue_list.insert(0, val)

    def get(self):
        if len(self.__queue_list) < 1:
            raise QueueError("Errore di coda")
        return self.__queue_list.pop()

class SuperQueue(Queue):
    def __init__(self):
        Queue.__init__(self)

    def isempty(self):
        return len(self._Queue__queue_list) == 0


que = SuperQueue()

que.put(1)
que.put("cane")
que.put(False)

for i in range(4):
    if not que.isempty():
        print(que.get())
    else:
        print("Coda vuota")